[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'FPimage' (#fcl)

# TFPPalette.Build

Builds the palette from an Image.

## Declaration

Source position: fpimage.pp line 82

`public procedure TFPPalette.Build(`
`Img: TFPCustomImage`
`); virtual;`

## Description

All pixels in the image are inspected and their unique color values are added to the palette; duplicates are ignored.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .